package com.ho.flow.mapper;

import com.ho.flow.entity.ProcessTemplate;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yule
* @description 针对表【process_template】的数据库操作Mapper
* @createDate 2023-08-17 10:45:32
* @Entity com.ho.flow.entity.ProcessTemplate
*/
@Mapper
public interface ProcessTemplateMapper {

    int insert(ProcessTemplate processTemplate);

    List<ProcessTemplate> selectList(ProcessTemplate processTemplate);

    ProcessTemplate selectById(Integer id);

    void update(ProcessTemplate processTemplate);

    void delete(Integer id);

    String selectBpmnById(Integer id);
}




